Bug 189913 - unable to PXE install on eth1 broadcomm 5721
unable to PXE install on eth1 broadcomm 5721
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-04-25 14:41 EDT by Dominique DUPONT
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-03 22:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominique DUPONT 2006-04-25 14:41:37 EDT
Description of problem:
PXE install doesn't work on eth1 (OK on eth0)
DHCP reply is not accepted, manually setting ip address does not work

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start PXE install with ksdevice=eth1
2.Server blade IBM HS20 driver tg3 bi-ethernet Gb
Actual results:
After a while anaconda prompts for IP
On DHCP server i see DHCPDISCOVER and DHCPOFFER (5 times) but never
When i set a static IP, i cannot ping it, and install fail because my FTP
install server cannot be reached

On F3 Console it can see :
getting kickstart file
sending dhcp request through device eth1
waiting for link...
5 seconds.
running dhcp for eth1
pump told us: No DHCP reply received
eth1 isn't a wireless adaptor

Expected results:
IP activation on eth1
how can i set up eth1 to process PXE install ?

Additional info:
DHCP works fine on first PXE request that brings up the pxe menu
Comment 1 Dominique DUPONT 2006-04-25 15:00:05 EDT
Same problem with stable fc5-i386 and RHEL30 update 6
I tried linksleep=40 on RHEL40U3 but no way to bring eth1 up ...
Comment 2 Dominique DUPONT 2006-05-02 12:18:11 EDT
Corrected by new IBM BIOS Broadcomm update
(Critical update) Broadcom Firmware Update Utility here :

Merci beaucoup.
Comment 3 Jason Baron 2006-05-03 22:48:47 EDT
cool. thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.